<%= render 'share/option_admin' %>
<div class="container-body">
	<h3 class="col-lg-offset-1"><strong>List Albums</strong></h3>
	<% if notice %><div class="alert alert-info col-lg-12 col-sm-12"><%= notice %></div><% end %>
	<div class="row col-lg-12">
		<% @album_manage.each do |alb| %>
	        <% if alb.images.attached?%>
	          	<div class="col-sm-6 col-lg-3 title-photo photo-show">
		            <div class="col-lg-12 photo-single">
			            <div class="title-photo col-lg-12 col-sm-9 col-sm-offset-2 label_title" id="title-photo-admin">
			            	<% if alb.title.size > 20 %>
								<%= alb.title[0..20] + "...	" %> 
			            	<%else%>
			            	 	<%= alb.title %> 
			            	<%end%>      
				            <%= link_to '<i class="fa fa-edit"></i>'.html_safe, edit_admin_album_path(id: alb.id) %>
				            </div>
				             <a data-toggle="modal" href="#<%=alb.id%>"><%= image_tag(alb.images.last, class: "photo medium") %></a>
			           		<!-- Create The modal -->
								<div class="modal fade" id= "<%=alb.id%>" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
								    <div class="modal-dialog modal-sm" role="document">
								      	<div class="modal-content">
								        	<div class="modal-header">
								          		<h4 class="modal-title" id="modalLabel"><%= alb.title %></h4>
								          		<button type="button" class="close" data-dismiss="modal" aria-label="Close">
								           		 	<span aria-hidden="true">&times;</span>
								         	 	</button>
								        	</div> 
									        <div class="modal-body">
		 										<!-- Wrapper for slides -->
											 	<div id="slide<%=alb.id%>" class="carousel slide" data-ride="carousel">
											 		 <div class="carousel-inner">
											 		 		<% alb.images.each do |img| %>
												 		 		<% if img == alb.images.last %>
												 		 			<div class="item active ">
												 		 		<%else%>
												 		 			<div class="item">
												 		 		<%end%> 		 		
												 		 			<%= image_tag(img, class: "photo")%>
												 		 		</div>
													 		<%end%>	
											 		 </div>		   
												</div>
											 	<!-- Left and right controls -->
											    <a class="left carousel-control" href="#slide<%=alb.id%>" data-slide="prev">
											      <span class="glyphicon glyphicon-chevron-left"></span>
											      <span class="sr-only">Previous</span>
											    </a>
											    <a class="right carousel-control" href="#slide<%=alb.id%>" data-slide="next">
											      <span class="glyphicon glyphicon-chevron-right"></span>
											      <span class="sr-only">Next</span>
											    </a>
									        </div>
									        <div class="modal-footer">
									        	<h3><%= alb.description %></h3> 
									        </div>
								      	</div>
								    </div>
								</div>
							<!-- End The modal -->
		            </div>
	          	</div>
	        <%end%>
	  	<%end%>
	  	<div class="row col-lg-12 col-sm-12">
			<%= paginate @album_manage %>
		</div>		
	</div>
</div>